GNU bug report logs - #36362
New feature-x-check-server

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: "otadmor ." <otadmor@HIDDEN>; dated Mon, 24 Jun 2019 17:08:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 36362 <at> debbugs.gnu.org:


Received: (at 36362) by debbugs.gnu.org; 31 Jul 2019 17:18:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 31 13:18:56 2019
Received: from localhost ([127.0.0.1]:53029 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hssFc-0005fD-Kb
	for submit <at> debbugs.gnu.org; Wed, 31 Jul 2019 13:18:56 -0400
Received: from mail-ot1-f43.google.com ([209.85.210.43]:40950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hssFa-0005eu-WF
 for 36362 <at> debbugs.gnu.org; Wed, 31 Jul 2019 13:18:55 -0400
Received: by mail-ot1-f43.google.com with SMTP id l15so13747649oth.7
 for <36362 <at> debbugs.gnu.org>; Wed, 31 Jul 2019 10:18:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=mngwAo2MkGhajCxn8BiOIs1waw7iVtf1mXGEFYjxclU=;
 b=Hf/GESTISWjom8In9JeQDA1OIgY8VmXV+qdHZJ+/J16InVR3St9a84TpomDErHCVs2
 lakFee6H9NLxsSNCb4AtuzYYbmUVu3159t/iJ8B23b2imdvaosZg2cKrbMniCB8yDrAp
 29HEw3dJ3ltxe82+8EtadLnl0xpDD6VgS38A/pY3VICXDcI5/kc3ToE1eqMVkZS7PDqc
 FJ+zm9KtXhlH/QNmdScrNis9HB6T6ORpRK/+eg/IU4taw2SYHWHQPIEDKGNffCwudZpD
 MRBa5dvlL8D88M/Q6k1g4/CAyZTu0vsNw5UYJWJpw+299dW2l1SR/IOGNMrluHtowICA
 VBxg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=mngwAo2MkGhajCxn8BiOIs1waw7iVtf1mXGEFYjxclU=;
 b=FgfOqZQhEwu6rWDzjtRDhTxNbAjtD4Y0LqDxB2aIeBsDHUUiGuKj/i08xbZffT+/U+
 LQO8zd2C7/3pTjT5csmRlSl/GAP5alp85AfcQHSPbYLXg9tQ8oIsFjjMFz5XKKU7ytIH
 Ou6yQ/yuMmLETWHUL3L8Kf1gIG9yNbUoHJJKykX8AJQjoRnXDIDEMnDbT6OhJM2EkM8G
 c4nUuPnLrnMeVc0BBS89nRg8UB/QQQlAICSZuBXLlo/kKvqKKIrCltZMMXz5XQ1Cz8xj
 Q7AXVMkiketOjBYV2mAWbxwQ9k9O4a8Oio0/wIdSANzbSFpz7/y8BGBEDu9CP3NmuSCc
 ieHg==
X-Gm-Message-State: APjAAAW6HJFXSGuRG0EA8trwjhEK8yMJHhwI0muKPuEzcYyJD6HaC+A3
 wdibw7M8v4BjTyi5OfPWb5Gpy5+dnhkOgdASgEc=
X-Google-Smtp-Source: APXvYqyV+Mbofmv8jaKn04qnrsDS2ompVBnwaZ0jMzYAT15jTAZMUMa5jVQbvtO4JFpXVv+q30Dyt6TIWHiEEHcVvxw=
X-Received: by 2002:a05:6830:1cd:: with SMTP id
 r13mr1298636ota.99.1564593529197; 
 Wed, 31 Jul 2019 10:18:49 -0700 (PDT)
MIME-Version: 1.0
References: <CAJd1wG+gtF_Rjp=EXU+77D41j-OD3cpN1uApp98T+Dp3m7pRUg@HIDDEN>
 <CAJd1wGL121a-A3nN-PanBg-2Xxe33d6HScNvWzsYGkeFGkq+5w@HIDDEN>
 <83o91bhrat.fsf@HIDDEN>
 <CAJd1wGL77thqx2Ys7FhReST27XLEGi0VDGiWR1PVuUgE-7RH1g@HIDDEN>
 <87pnlqtoc0.fsf@HIDDEN>
 <CAJd1wGLyJXRiOfnx7rwf3ZkZswAPGYGDcriX7R3umEOSsy-g2A@HIDDEN>
In-Reply-To: <CAJd1wGLyJXRiOfnx7rwf3ZkZswAPGYGDcriX7R3umEOSsy-g2A@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Wed, 31 Jul 2019 13:18:34 -0400
Message-ID: <CAM-tV-_+iUTgFJpKeEU+B-JiT2QaC3JWA0TRnySvdk6a4iXnqw@HIDDEN>
Subject: Re: bug#36362: Tag this report as bug
To: "otadmor ." <otadmor@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36362
Cc: 36362 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, 31 Jul 2019 at 13:01, otadmor . <otadmor@HIDDEN> wrote:
>
> How can I forward this to emacs devel?

Just send a new message to emacs-devel@HIDDEN

You can put a link to https://debbugs.gnu.org/36362 in the message so
people can read it for more background info.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36362; Package emacs. Full text available.

Message received at 36362 <at> debbugs.gnu.org:


Received: (at 36362) by debbugs.gnu.org; 31 Jul 2019 17:16:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 31 13:16:41 2019
Received: from localhost ([127.0.0.1]:53020 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hssDQ-0005aX-Vk
	for submit <at> debbugs.gnu.org; Wed, 31 Jul 2019 13:16:41 -0400
Received: from mail-lf1-f53.google.com ([209.85.167.53]:35904)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <otadmor@HIDDEN>) id 1hsryS-00057F-Pt
 for 36362 <at> debbugs.gnu.org; Wed, 31 Jul 2019 13:01:13 -0400
Received: by mail-lf1-f53.google.com with SMTP id q26so47990790lfc.3
 for <36362 <at> debbugs.gnu.org>; Wed, 31 Jul 2019 10:01:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=nAdyWj0XPnzxqmhHeUC0zfNadUSlL2Nf4G736G4iRvY=;
 b=mNS343ujy76syGQGBKaPSiB3Rw9lPPibef/gZMZI4lkGRACWeP9gwJIOUNxRxaQ1EM
 CqaBGp1QTvyJRosvJnzAjUDz8sZ8ZrsdrXd2G3wRC/smY3fs+NBMNDHFj+D+PRyTiSzJ
 j50KiFuMEZJtRXU8UAEGl86Ia++gbEbANAplNisS/AXB6w7XjuMs87tCUV0Cif1rtX2h
 7pMdTRwizIIAJz5gmm+6h18oGYm8SLreFCQc9bPspDvMxpGGLZVWte7BiTOhh3TcOHk7
 hYXnAJzcD1qeBjcKbCbSbqaMw/zRlq8BfLNfTYF4dvVwMuOc9rGkoeHndTOplqHrR2BE
 lSOg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=nAdyWj0XPnzxqmhHeUC0zfNadUSlL2Nf4G736G4iRvY=;
 b=pPwCHXaLBkLXPUYPZE6mH5w3P6mHzWlwmDQHT4Rl+M2n7+XAPf9t5JO7cwedGFh16v
 xBV+iQwHSh4ZBZBgPm4GyOJiVu28Z1+JrI6TGxS0DmX5AHxcPksXbf/OSF80oRa7lK9F
 GGDxGfXmwOg4dKJGSUJl9I7kO1dTisBw41K2qdqm9+wVqI0baaVvhGTu0I669XTViTbJ
 u5HfqgIegkyoIPLbAf11nW3I6QxiZGPoK6jr9ypE6GgdjpldR8F5ocoRZP0neXz8dIES
 NO/6SxZBv1KHQh/JEI3wDMo1BcpaVQv/80qlTU+kEH2tdyH5Ca1vnAT4zKUNzuqaOTKX
 GvKw==
X-Gm-Message-State: APjAAAX4AjCBTXg+Wvpi1nxL4iEAhjeqcXmdJW5HdjbGBcH7xL73425A
 0utZAyAraLhqsInN0D2DbW/sBS/itXNWOpwMshc=
X-Google-Smtp-Source: APXvYqy62o/qzGG1H/PEd+ipWm64d/+jy+TYD9YPdk6cQ8ItMWRStWZZJP8BaPj9Y98q3HhC3GSaYN9Fc5fsR/W6HXk=
X-Received: by 2002:ac2:5a01:: with SMTP id q1mr15141926lfn.46.1564592466733; 
 Wed, 31 Jul 2019 10:01:06 -0700 (PDT)
MIME-Version: 1.0
References: <CAJd1wG+gtF_Rjp=EXU+77D41j-OD3cpN1uApp98T+Dp3m7pRUg@HIDDEN>
 <CAJd1wGL121a-A3nN-PanBg-2Xxe33d6HScNvWzsYGkeFGkq+5w@HIDDEN>
 <83o91bhrat.fsf@HIDDEN>
 <CAJd1wGL77thqx2Ys7FhReST27XLEGi0VDGiWR1PVuUgE-7RH1g@HIDDEN>
 <87pnlqtoc0.fsf@HIDDEN>
In-Reply-To: <87pnlqtoc0.fsf@HIDDEN>
From: "otadmor ." <otadmor@HIDDEN>
Date: Wed, 31 Jul 2019 20:00:54 +0300
Message-ID: <CAJd1wGLyJXRiOfnx7rwf3ZkZswAPGYGDcriX7R3umEOSsy-g2A@HIDDEN>
Subject: Re: bug#36362: Tag this report as bug
To: Noam Postavsky <npostavs@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000032aeec058efd12a3"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36362
X-Mailman-Approved-At: Wed, 31 Jul 2019 13:16:39 -0400
Cc: 36362 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000032aeec058efd12a3
Content-Type: text/plain; charset="UTF-8"

How can I forward this to emacs devel?

On Wed, Jul 31, 2019, 14:50 Noam Postavsky <npostavs@HIDDEN> wrote:

> "otadmor ." <otadmor@HIDDEN> writes:
>
> > This so called feature fixes the DOS bug I have described on previous
> > messages. It can be easily reproduced by the steps I wrote there.
>
> The line between bug and feature request can sometimes be fuzzy (in this
> case, you framed the solution as a new feature so it looks like a
> feature request).  But there's no such thing as "escalation" here
> anyway, we don't have extra people waiting to be assigned to solving
> non-wishlist bugs.
>
> You might want to ask on emacs-devel, maybe someone there will
> understand the problem better and have some useful feedback about it.
>

--00000000000032aeec058efd12a3
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">How can I forward this to emacs devel?</div><br><div clas=
s=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Wed, Jul 31, 201=
9, 14:50 Noam Postavsky &lt;<a href=3D"mailto:npostavs@HIDDEN">npostavs@=
gmail.com</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=
=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">&quot;ot=
admor .&quot; &lt;<a href=3D"mailto:otadmor@HIDDEN" target=3D"_blank" re=
l=3D"noreferrer">otadmor@HIDDEN</a>&gt; writes:<br>
<br>
&gt; This so called feature fixes the DOS bug I have described on previous<=
br>
&gt; messages. It can be easily reproduced by the steps I wrote there.<br>
<br>
The line between bug and feature request can sometimes be fuzzy (in this<br=
>
case, you framed the solution as a new feature so it looks like a<br>
feature request).=C2=A0 But there&#39;s no such thing as &quot;escalation&q=
uot; here<br>
anyway, we don&#39;t have extra people waiting to be assigned to solving<br=
>
non-wishlist bugs.<br>
<br>
You might want to ask on emacs-devel, maybe someone there will<br>
understand the problem better and have some useful feedback about it.<br>
</blockquote></div>

--00000000000032aeec058efd12a3--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36362; Package emacs. Full text available.

Message received at 36362 <at> debbugs.gnu.org:


Received: (at 36362) by debbugs.gnu.org; 31 Jul 2019 11:50:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 31 07:50:50 2019
Received: from localhost ([127.0.0.1]:51606 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hsn86-0001JZ-I3
	for submit <at> debbugs.gnu.org; Wed, 31 Jul 2019 07:50:50 -0400
Received: from mail-io1-f43.google.com ([209.85.166.43]:33261)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hsn83-0001JL-Vh
 for 36362 <at> debbugs.gnu.org; Wed, 31 Jul 2019 07:50:48 -0400
Received: by mail-io1-f43.google.com with SMTP id z3so16691457iog.0
 for <36362 <at> debbugs.gnu.org>; Wed, 31 Jul 2019 04:50:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=hcel5gcXnMMNSVT/4Kul3zYt1SEwYxEnSDkSAnPpFpE=;
 b=fvYE1gEaf0YPtqpbINJ6Jvw5LdFGbxJaj3MtmCu0MOcKIgl1Vo02+INIIUkRQqLsH+
 HAYCHrxL3u8pcHlMxB5Vli1Qoogi1d3j+/TBGqw0ptT8yqaXqEujGgzjm+6Rgr20/ifI
 X+1sqevh7Eyb7dFaU9D8ZrFQPSFDfzImaZ6I9UbXJbFZWiykv1dDVNI531smp+vrMsXe
 HwnNbij1I8Gz7ZTYSO+0r0zK15TSDhPVkSOQY8F7xlglC5SNvQVnbJzF2y4lDoR/c9IG
 h4xqbnZNYIMc7F2aLSbVIJSCMBaTNhB3VBEFHDsCVU8Cx0q1n68RerS50A/mW3N6qCM4
 4pwA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=hcel5gcXnMMNSVT/4Kul3zYt1SEwYxEnSDkSAnPpFpE=;
 b=fFBEdwaPyQhZNUPhGEiUcFVk0KaarwnzAATequfDmGq2uhb/SFPBXgND8GKeHeE+Jg
 X+hsITRlAnp4lewX6q6aSSznURB5vmRsEpkL+cLrjqzHkfJ15+ULZdO63NJWcru3+VHx
 MQyPtwvFEIZQm/QTd5OPi6jVxYfQQSPNZzionfb9ie1obXWx1FkNNTamhV1AI07VOq7l
 /OHIKzX8zn2Yk1ZQ5WvKuGkH8s7O6c8oAxdOWEC1yOwK3aoPdKZv5+L3fOYyCoGBRVln
 xZeOz+XlB8p/jxQvXb9frj6J2lGEVIb48Ill8+cS6/GM9/Hl5m3C1gM3hAY0uPVsh4gu
 psKA==
X-Gm-Message-State: APjAAAVeEGCFdk03twZj6wX7un6KoAa5v2o9nL/5BNnxDT/sPoLpBpNb
 D1gxEKG8o4MvUe6CLTJCKGJ40l6V
X-Google-Smtp-Source: APXvYqzffmge6IFiJDZ4NJwAc5gRAUOjZOyvR6G+eduzyTy4kf0fSZ3RKVcQWT41nGxAQO//XHbTig==
X-Received: by 2002:a6b:b497:: with SMTP id d145mr4336758iof.17.1564573842069; 
 Wed, 31 Jul 2019 04:50:42 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 n2sm70848429ioa.27.2019.07.31.04.50.39
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 31 Jul 2019 04:50:40 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: "otadmor ." <otadmor@HIDDEN>
Subject: Re: bug#36362: Tag this report as bug
References: <CAJd1wG+gtF_Rjp=EXU+77D41j-OD3cpN1uApp98T+Dp3m7pRUg@HIDDEN>
 <CAJd1wGL121a-A3nN-PanBg-2Xxe33d6HScNvWzsYGkeFGkq+5w@HIDDEN>
 <83o91bhrat.fsf@HIDDEN>
 <CAJd1wGL77thqx2Ys7FhReST27XLEGi0VDGiWR1PVuUgE-7RH1g@HIDDEN>
Date: Wed, 31 Jul 2019 07:50:39 -0400
In-Reply-To: <CAJd1wGL77thqx2Ys7FhReST27XLEGi0VDGiWR1PVuUgE-7RH1g@HIDDEN>
 (otadmor .'s message of "Wed, 31 Jul 2019 10:01:41 +0300")
Message-ID: <87pnlqtoc0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36362
Cc: 36362 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"otadmor ." <otadmor@HIDDEN> writes:

> This so called feature fixes the DOS bug I have described on previous
> messages. It can be easily reproduced by the steps I wrote there.

The line between bug and feature request can sometimes be fuzzy (in this
case, you framed the solution as a new feature so it looks like a
feature request).  But there's no such thing as "escalation" here
anyway, we don't have extra people waiting to be assigned to solving
non-wishlist bugs.

You might want to ask on emacs-devel, maybe someone there will
understand the problem better and have some useful feedback about it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36362; Package emacs. Full text available.

Message received at 36362 <at> debbugs.gnu.org:


Received: (at 36362) by debbugs.gnu.org; 31 Jul 2019 08:02:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 31 04:02:28 2019
Received: from localhost ([127.0.0.1]:51516 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hsjZ6-0001oL-H4
	for submit <at> debbugs.gnu.org; Wed, 31 Jul 2019 04:02:28 -0400
Received: from mail-lf1-f54.google.com ([209.85.167.54]:43619)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <otadmor@HIDDEN>) id 1hsica-00006p-Ja
 for 36362 <at> debbugs.gnu.org; Wed, 31 Jul 2019 03:02:01 -0400
Received: by mail-lf1-f54.google.com with SMTP id c19so46629103lfm.10
 for <36362 <at> debbugs.gnu.org>; Wed, 31 Jul 2019 00:02:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=F+Y3+Hspd3gQ8mVu9Y2+yIAmQKpcgQ5hs7277/VnTLc=;
 b=HsiNhZ3ocjwn1DPYPISA0hDsmNTEYUKfYrhQXV/LDykgJO+k/sjvxbqZG3Qup/grt1
 GGj4MxFs6AuEoeRd3sAnlDeMkv9XepqiU8/C/YW218S5+N/yDQrcoSxg589D/pJYXvEE
 lNjCnUDWM7D3781YI5SrleYsszP0fcCpHWLLSeEAedFB6ttjNPobEig1Jp7ugCwb3mzy
 uB5dyj2hMZFv5aIdwSUXtKEIxVOZhIqQXH4evcsfl+TNBZiLuyKO9V8cXspCYRtokmOv
 5MpYfNpa14k4t4fYH/+nQrkqR3vUm9Kz4ssMQN8cVAMldNuyuclcxawfzw1GFvQbZ709
 LsjA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=F+Y3+Hspd3gQ8mVu9Y2+yIAmQKpcgQ5hs7277/VnTLc=;
 b=ePlSxWNQ3zQAKa4LNUoCKiYKxuKZGVEJCBQilV4bm6Q+LOiNIEBanNYI3STfP70yxc
 Ab8vzZxCGn4k8OkXmc27Op3DeMwdFCY6qL/2ah8zNOVHstAhyK9XA+8DEZivRAVTKj26
 saVjq8OSG3tFMim0cRsREDsawlZWukWBUMDtWEZFeGTThlbcqiWy30no1ZeN34iVlfqR
 VuNwrsFQif0wKVxfNEfT8SK22db/Q6KDWI3rgQ5H3iJcQVg5g7gPZGToMRknST0jco4X
 BcHdhw7ODGVPmBgLE/MBBmI9aZwEJ2kjrnQMvNvpTf3lWIKEAw1fGgI3AXjjqm2mNt52
 k/TQ==
X-Gm-Message-State: APjAAAWRDu0BpaR+/Rie+glx03Sj9F0pUpMOGOXT+bS6ytqE0I5QSu82
 xSxmJELu33zcBLxF7XlUMmaxJ4s4f6QGiVFnw8g=
X-Google-Smtp-Source: APXvYqwtEllUL+N2d64v02xSHUNRS7iA4RJoOSnVrKDiqgfTxC5vlwg0jN2EeFWjZW8iAr8Y7Jfz64X+cCaxT3gm9CA=
X-Received: by 2002:ac2:5a01:: with SMTP id q1mr13558593lfn.46.1564556514281; 
 Wed, 31 Jul 2019 00:01:54 -0700 (PDT)
MIME-Version: 1.0
References: <CAJd1wG+gtF_Rjp=EXU+77D41j-OD3cpN1uApp98T+Dp3m7pRUg@HIDDEN>
 <CAJd1wGL121a-A3nN-PanBg-2Xxe33d6HScNvWzsYGkeFGkq+5w@HIDDEN>
 <83o91bhrat.fsf@HIDDEN>
In-Reply-To: <83o91bhrat.fsf@HIDDEN>
From: "otadmor ." <otadmor@HIDDEN>
Date: Wed, 31 Jul 2019 10:01:41 +0300
Message-ID: <CAJd1wGL77thqx2Ys7FhReST27XLEGi0VDGiWR1PVuUgE-7RH1g@HIDDEN>
Subject: Re: bug#36362: Tag this report as bug
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000043d0e0058ef4b3f1"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36362
X-Mailman-Approved-At: Wed, 31 Jul 2019 04:02:26 -0400
Cc: 36362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000043d0e0058ef4b3f1
Content-Type: text/plain; charset="UTF-8"

This so called feature fixes the DOS bug I have described on previous
messages. It can be easily reproduced by the steps I wrote there.

On Wed, Jul 31, 2019, 05:27 Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: "otadmor ." <otadmor@HIDDEN>
> > Date: Tue, 30 Jul 2019 22:54:29 +0300
> >
> > How can this be escalated to be a bug
>
> A request for a new feature cannot be a bug.
>
> > and be placed in the bug list?
>
> It's already there.
>

--00000000000043d0e0058ef4b3f1
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">This so called feature fixes the DOS bug I have described=
 on previous messages. It can be easily reproduced by the steps I wrote the=
re.</div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_att=
r">On Wed, Jul 31, 2019, 05:27 Eli Zaretskii &lt;<a href=3D"mailto:eliz@gnu=
.org">eliz@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote=
" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">&=
gt; From: &quot;otadmor .&quot; &lt;<a href=3D"mailto:otadmor@HIDDEN" ta=
rget=3D"_blank" rel=3D"noreferrer">otadmor@HIDDEN</a>&gt;<br>
&gt; Date: Tue, 30 Jul 2019 22:54:29 +0300<br>
&gt; <br>
&gt; How can this be escalated to be a bug<br>
<br>
A request for a new feature cannot be a bug.<br>
<br>
&gt; and be placed in the bug list?<br>
<br>
It&#39;s already there.<br>
</blockquote></div>

--00000000000043d0e0058ef4b3f1--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36362; Package emacs. Full text available.

Message received at 36362 <at> debbugs.gnu.org:


Received: (at 36362) by debbugs.gnu.org; 31 Jul 2019 02:27:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 30 22:27:44 2019
Received: from localhost ([127.0.0.1]:51423 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hseLA-0007p4-87
	for submit <at> debbugs.gnu.org; Tue, 30 Jul 2019 22:27:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hseL8-0007or-9M
 for 36362 <at> debbugs.gnu.org; Tue, 30 Jul 2019 22:27:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41656)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hseL2-00054Q-JM; Tue, 30 Jul 2019 22:27:37 -0400
Received: from [176.228.60.248] (port=1127 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hseKz-0003zr-Q3; Tue, 30 Jul 2019 22:27:35 -0400
Date: Wed, 31 Jul 2019 05:27:22 +0300
Message-Id: <83o91bhrat.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "otadmor ." <otadmor@HIDDEN>
In-reply-to: <CAJd1wGL121a-A3nN-PanBg-2Xxe33d6HScNvWzsYGkeFGkq+5w@HIDDEN>
 (otadmor@HIDDEN)
Subject: Re: bug#36362: Tag this report as bug
References: <CAJd1wG+gtF_Rjp=EXU+77D41j-OD3cpN1uApp98T+Dp3m7pRUg@HIDDEN>
 <CAJd1wGL121a-A3nN-PanBg-2Xxe33d6HScNvWzsYGkeFGkq+5w@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36362
Cc: 36362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: "otadmor ." <otadmor@HIDDEN>
> Date: Tue, 30 Jul 2019 22:54:29 +0300
> 
> How can this be escalated to be a bug

A request for a new feature cannot be a bug.

> and be placed in the bug list?

It's already there.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36362; Package emacs. Full text available.

Message received at 36362 <at> debbugs.gnu.org:


Received: (at 36362) by debbugs.gnu.org; 30 Jul 2019 20:32:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 30 16:32:23 2019
Received: from localhost ([127.0.0.1]:51260 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hsYnH-0002Of-Hi
	for submit <at> debbugs.gnu.org; Tue, 30 Jul 2019 16:32:23 -0400
Received: from mail-lf1-f47.google.com ([209.85.167.47]:45041)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <otadmor@HIDDEN>) id 1hsYCu-0001G6-9y
 for 36362 <at> debbugs.gnu.org; Tue, 30 Jul 2019 15:54:48 -0400
Received: by mail-lf1-f47.google.com with SMTP id r15so28642595lfm.11
 for <36362 <at> debbugs.gnu.org>; Tue, 30 Jul 2019 12:54:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=O5nuRy3hvbLiK1iWoo1P/aWxKz1v/JWG3YGuKw5ee8k=;
 b=jXGcr2il3gikQp63oaxBAk8CjkpVfFMJeu8U+iOJSkDQ4sEH/IElodlMezxz1ivKTD
 8SdPZb0sgL4kBzI3UszDAlq+zJUPSf2bWlQtN96busSRscUFoUiCXBHEVOoirtz+kaKL
 lVKLGZAnp2yuA969/YHl9rMMK0WtGUZV+iApgS/askYHnXLDwQZRzXzD1aRTtzncN0dg
 3ToE+cg68a9D3S5Przt98Zs7abpobvVHx6PpcL4k8Vgvk15wXKWLbcb5nF2Ss1ftFff8
 VrhG1LhHwnaX/bImBIFM5UPI1AKybqagH6JihdSLlN0OhAHei6dzOCj6Nm5vGpLSMOed
 42wA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=O5nuRy3hvbLiK1iWoo1P/aWxKz1v/JWG3YGuKw5ee8k=;
 b=OPoDoNZ5WmGcILZtFB2YM/piVV66tpFKtzSlnqO1s3o7N3QzedffrXeHPKOsnqAGck
 xy9ItQBy8UJ+YT5WNWbtgvC0ss5tqemLSx5c/Dv8dhbSiC/DA2g8LgdmsNMyogs2N5WH
 bvaiXWsr/GEshzzDQHII8nXd313N+IXcCgXuuo7KulUE+5fouYJ5Zr2zRSAmnmDbXGUU
 ELr5HiSLrl4g8PNf3Y9B3Be5bjs+R6zGEibTaU+1Zy/iz+3U4WnihYUYDItcdmSakQ6t
 1EUAqyGR6zr5DnywjcaTd9aZD6HKACUJIX4mZOKKV4wMvAczG4KdEEJcCMsU9tekOh9q
 LGoQ==
X-Gm-Message-State: APjAAAVAgSsQFmn5aELDfhKI1sU+yxUnD++KOaFIlrqphD05akn2xRmr
 3h/OQfPiI06hq2s2LLaKpE+12wY3WxRrncy86eOE+Q==
X-Google-Smtp-Source: APXvYqzUCi3+om7sX0YBEnuxfgiAj1veTPLzYqSRSTcbMG7/dCjvN40kO26kxbvBGzYeIH+Z3I2v8nZi26C9ZWbjDes=
X-Received: by 2002:a05:6512:484:: with SMTP id
 v4mr37175404lfq.66.1564516481703; 
 Tue, 30 Jul 2019 12:54:41 -0700 (PDT)
MIME-Version: 1.0
From: "otadmor ." <otadmor@HIDDEN>
Date: Tue, 30 Jul 2019 22:54:29 +0300
Message-ID: <CAJd1wGL121a-A3nN-PanBg-2Xxe33d6HScNvWzsYGkeFGkq+5w@HIDDEN>
Subject: Tag this report as bug
To: 36362 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="00000000000023228e058eeb6190"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36362
X-Mailman-Approved-At: Tue, 30 Jul 2019 16:32:22 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000023228e058eeb6190
Content-Type: text/plain; charset="UTF-8"

Hey,
How can this be escalated to be a bug and be placed in the bug list?

Thanks.

--00000000000023228e058eeb6190
Content-Type: text/html; charset="UTF-8"

<div dir="auto">Hey,<div dir="auto">How can this be escalated to be a bug and be placed in the bug list?</div><div dir="auto"><br></div><div dir="auto">Thanks.</div></div>

--00000000000023228e058eeb6190--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36362; Package emacs. Full text available.

Message received at 36362 <at> debbugs.gnu.org:


Received: (at 36362) by debbugs.gnu.org; 30 Jun 2019 22:02:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 30 18:02:50 2019
Received: from localhost ([127.0.0.1]:47423 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hhhuL-0003ff-Lf
	for submit <at> debbugs.gnu.org; Sun, 30 Jun 2019 18:02:50 -0400
Received: from mail-lj1-f179.google.com ([209.85.208.179]:34394)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <otadmor@HIDDEN>) id 1hhgeC-0005uH-3B
 for 36362 <at> debbugs.gnu.org; Sun, 30 Jun 2019 16:42:04 -0400
Received: by mail-lj1-f179.google.com with SMTP id p17so10926458ljg.1
 for <36362 <at> debbugs.gnu.org>; Sun, 30 Jun 2019 13:42:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=a3FddDMJGz+nbw0KAsWo8/LiAfVM7keexyjImNaeHwI=;
 b=tfstEBUDAR9PveKTSvcsZQc+voIeNWp09hvrvp8q13n/33EWf9O0QwJ1FGeW0p5KP5
 Lv2qzi7DhHmImkhs4NTsNBlE/zwS+lcPOPQWLpwhlu8mNpt1+Fyu+itiJSd8Ru8Q6XmO
 sf3QYMkhXdEOJzWc9jHi16XVB2Za58NaU4yIPpvQCW4pV986nWujEc5wLgW03/n34N9U
 Eo4ZusvvDBmdJldTLXPTVyAmQeTv7i3IUkpl0OgUYphRVicg21m83/awyUYi6VHQz03l
 iS9eJRUIdBJtuQNLWMB6CXwMDmxwH8oD3zsWQFN6phyKXgssg7JQFkqujWCNFZ5q23FM
 vnTg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=a3FddDMJGz+nbw0KAsWo8/LiAfVM7keexyjImNaeHwI=;
 b=EuPgJMB7anh+SOSuzk8jqz9M1aJSKUyVjMqsU2kDcEw+27BAtHIV9GjkEYBJcJ6RPC
 yL8mNK62qb4nJtRwlw9W5d1kzctRkwO7s8fOS3Fe6v91Zn+fokTN9ivKJp8e/GFM+JRD
 R+Yr56ELvFsp6UVdF2Ir1O/kUXlFJaTkxNglECSahr26tWqrQXCuBbCe/3c1VU1o10nK
 kdEzsglobsON4ia6nXy9CAD8W+OdXSlP2O0zu/hs3KVc2ytEPr6c9W+j9jy8qR6hrsKN
 4CXKHQeICfwPECCI9mIQmY3mByncJFScOBylHKj00kE6rz4x5CasJyCEc55F9rE4z2Qv
 zuIQ==
X-Gm-Message-State: APjAAAXc5xKHywqFvTMf78V4H8Rmv6o96gK4lSzYpHuylEyAxNuc8Bia
 XseiKJEgxUWsncSijYbpdz9zIuc0FGgm2e8qNfGrVw==
X-Google-Smtp-Source: APXvYqxy6+jDeW1Qb0WdyMh9NHcQNPwqr6Q1Zur4lkmvKQcTAobVpYuHFcGrzgEgu3SgBoqqq3L3wl8qeJOfhNEV5nQ=
X-Received: by 2002:a2e:4e12:: with SMTP id c18mr11941271ljb.211.1561927317507; 
 Sun, 30 Jun 2019 13:41:57 -0700 (PDT)
MIME-Version: 1.0
From: "otadmor ." <otadmor@HIDDEN>
Date: Sun, 30 Jun 2019 23:41:45 +0300
Message-ID: <CAJd1wGJe-cSeX6DkW5mHX6VrzMBKtRM4sCj0DxX5sFwafkVQKg@HIDDEN>
Subject: The elisp timer
To: 36362 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="000000000000ecd163058c908ae3"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36362
X-Mailman-Approved-At: Sun, 30 Jun 2019 18:02:48 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000ecd163058c908ae3
Content-Type: text/plain; charset="UTF-8"

This is the code of the elisp timer. This is actually a bug fix.

(defun check-frames-connection-timer ()
(safe-check-frames-connection)
(run-at-time 2 nil 'check-frames-connection-timer))
(run-at-time 2 nil 'check-frames-connection-timer)
(defun safe-x-check-frame (frame)
(condition-case nil
(x-check-frame frame)
(error nil)))
(defun safe-check-frames-connection ()
(when (functionp 'x-check-frame)
(dolist (frame (frame-list))
(when (eq (framep frame) 'x)
(safe-x-check-frame frame)))))

--000000000000ecd163058c908ae3
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">This is the code of the elisp timer. This is actually a b=
ug fix.<div dir=3D"auto"><br></div><div dir=3D"auto"><table style=3D"border=
-collapse:collapse;border-spacing:0px;color:rgb(36,41,46);font-family:-appl=
e-system,blinkmacsystemfont,&quot;segoe ui&quot;,helvetica,arial,sans-serif=
,&quot;apple color emoji&quot;,&quot;segoe ui emoji&quot;,&quot;segoe ui sy=
mbol&quot;;font-size:14px;background-color:rgb(255,255,255)"><tbody><tr></t=
r><tr><td style=3D"padding:0px 10px;line-height:20px;vertical-align:top;fon=
t-family:sfmono-regular,consolas,&quot;liberation mono&quot;,menlo,courier,=
monospace;font-size:12px;white-space:pre">(<span style=3D"color:rgb(215,58,=
73)">defun</span> <span style=3D"color:rgb(111,66,193)">check-frames-connec=
tion-timer</span> ()</td></tr><tr><td style=3D"padding:0px 10px;color:rgba(=
27,31,35,0.3);font-family:&#39;sfmono-regular&#39;,&#39;consolas&#39;,&#39;=
liberation mono&#39;,&#39;menlo&#39;,&#39;courier&#39;,monospace;font-size:=
12px;line-height:20px;min-width:50px;text-align:right;vertical-align:top;wh=
ite-space:nowrap;width:50px"></td><td style=3D"padding:0px 10px;line-height=
:20px;vertical-align:top;font-family:sfmono-regular,consolas,&quot;liberati=
on mono&quot;,menlo,courier,monospace;font-size:12px;white-space:pre">  (sa=
fe-check-frames-connection)</td></tr><tr><td style=3D"padding:0px 10px;colo=
r:rgba(27,31,35,0.3);font-family:&#39;sfmono-regular&#39;,&#39;consolas&#39=
;,&#39;liberation mono&#39;,&#39;menlo&#39;,&#39;courier&#39;,monospace;fon=
t-size:12px;line-height:20px;min-width:50px;text-align:right;vertical-align=
:top;white-space:nowrap;width:50px"></td><td style=3D"padding:0px 10px;line=
-height:20px;vertical-align:top;font-family:sfmono-regular,consolas,&quot;l=
iberation mono&quot;,menlo,courier,monospace;font-size:12px;white-space:pre=
">  (<span style=3D"color:rgb(0,92,197)">run-at-time</span> <span style=3D"=
color:rgb(0,92,197)">2</span> <span style=3D"color:rgb(0,92,197)">nil</span=
> <span style=3D"color:rgb(0,92,197)">&#39;check-frames-connection-timer</s=
pan>))</td></tr><tr><td style=3D"padding:0px 10px;color:rgba(27,31,35,0.3);=
font-family:&#39;sfmono-regular&#39;,&#39;consolas&#39;,&#39;liberation mon=
o&#39;,&#39;menlo&#39;,&#39;courier&#39;,monospace;font-size:12px;line-heig=
ht:20px;min-width:50px;text-align:right;vertical-align:top;white-space:nowr=
ap;width:50px"></td><td style=3D"padding:0px 10px;line-height:20px;vertical=
-align:top;font-family:sfmono-regular,consolas,&quot;liberation mono&quot;,=
menlo,courier,monospace;font-size:12px;white-space:pre">(<span style=3D"col=
or:rgb(0,92,197)">run-at-time</span> <span style=3D"color:rgb(0,92,197)">2<=
/span> <span style=3D"color:rgb(0,92,197)">nil</span> <span style=3D"color:=
rgb(0,92,197)">&#39;check-frames-connection-timer</span>)</td></tr><tr><td =
style=3D"padding:0px 10px;color:rgba(27,31,35,0.3);font-family:&#39;sfmono-=
regular&#39;,&#39;consolas&#39;,&#39;liberation mono&#39;,&#39;menlo&#39;,&=
#39;courier&#39;,monospace;font-size:12px;line-height:20px;min-width:50px;t=
ext-align:right;vertical-align:top;white-space:nowrap;width:50px"></td><td =
style=3D"padding:0px 10px;line-height:20px;vertical-align:top;font-family:s=
fmono-regular,consolas,&quot;liberation mono&quot;,menlo,courier,monospace;=
font-size:12px;white-space:pre">
</td></tr><tr><td style=3D"padding:0px 10px;color:rgba(27,31,35,0.3);font-f=
amily:&#39;sfmono-regular&#39;,&#39;consolas&#39;,&#39;liberation mono&#39;=
,&#39;menlo&#39;,&#39;courier&#39;,monospace;font-size:12px;line-height:20p=
x;min-width:50px;text-align:right;vertical-align:top;white-space:nowrap;wid=
th:50px"></td><td style=3D"padding:0px 10px;line-height:20px;vertical-align=
:top;font-family:sfmono-regular,consolas,&quot;liberation mono&quot;,menlo,=
courier,monospace;font-size:12px;white-space:pre">(<span style=3D"color:rgb=
(215,58,73)">defun</span> <span style=3D"color:rgb(111,66,193)">safe-x-chec=
k-frame</span> (<span style=3D"color:rgb(227,98,9)">frame</span>)</td></tr>=
<tr><td style=3D"padding:0px 10px;color:rgba(27,31,35,0.3);font-family:&#39=
;sfmono-regular&#39;,&#39;consolas&#39;,&#39;liberation mono&#39;,&#39;menl=
o&#39;,&#39;courier&#39;,monospace;font-size:12px;line-height:20px;min-widt=
h:50px;text-align:right;vertical-align:top;white-space:nowrap;width:50px"><=
/td><td style=3D"padding:0px 10px;line-height:20px;vertical-align:top;font-=
family:sfmono-regular,consolas,&quot;liberation mono&quot;,menlo,courier,mo=
nospace;font-size:12px;white-space:pre">  (<span style=3D"color:rgb(215,58,=
73)">condition-case</span> <span style=3D"color:rgb(0,92,197)">nil</span></=
td></tr><tr><td style=3D"padding:0px 10px;color:rgba(27,31,35,0.3);font-fam=
ily:&#39;sfmono-regular&#39;,&#39;consolas&#39;,&#39;liberation mono&#39;,&=
#39;menlo&#39;,&#39;courier&#39;,monospace;font-size:12px;line-height:20px;=
min-width:50px;text-align:right;vertical-align:top;white-space:nowrap;width=
:50px"></td><td style=3D"padding:0px 10px;line-height:20px;vertical-align:t=
op;font-family:sfmono-regular,consolas,&quot;liberation mono&quot;,menlo,co=
urier,monospace;font-size:12px;white-space:pre">      (x-check-frame frame)=
</td></tr><tr><td style=3D"padding:0px 10px;color:rgba(27,31,35,0.3);font-f=
amily:&#39;sfmono-regular&#39;,&#39;consolas&#39;,&#39;liberation mono&#39;=
,&#39;menlo&#39;,&#39;courier&#39;,monospace;font-size:12px;line-height:20p=
x;min-width:50px;text-align:right;vertical-align:top;white-space:nowrap;wid=
th:50px"></td><td style=3D"padding:0px 10px;line-height:20px;vertical-align=
:top;font-family:sfmono-regular,consolas,&quot;liberation mono&quot;,menlo,=
courier,monospace;font-size:12px;white-space:pre">    (<span style=3D"color=
:rgb(0,92,197)">error</span> <span style=3D"color:rgb(0,92,197)">nil</span>=
)))</td></tr><tr><td style=3D"padding:0px 10px;color:rgba(27,31,35,0.3);fon=
t-family:&#39;sfmono-regular&#39;,&#39;consolas&#39;,&#39;liberation mono&#=
39;,&#39;menlo&#39;,&#39;courier&#39;,monospace;font-size:12px;line-height:=
20px;min-width:50px;text-align:right;vertical-align:top;white-space:nowrap;=
width:50px"></td><td style=3D"padding:0px 10px;line-height:20px;vertical-al=
ign:top;font-family:sfmono-regular,consolas,&quot;liberation mono&quot;,men=
lo,courier,monospace;font-size:12px;white-space:pre">
</td></tr><tr><td style=3D"padding:0px 10px;color:rgba(27,31,35,0.3);font-f=
amily:&#39;sfmono-regular&#39;,&#39;consolas&#39;,&#39;liberation mono&#39;=
,&#39;menlo&#39;,&#39;courier&#39;,monospace;font-size:12px;line-height:20p=
x;min-width:50px;text-align:right;vertical-align:top;white-space:nowrap;wid=
th:50px"></td><td style=3D"padding:0px 10px;line-height:20px;vertical-align=
:top;font-family:sfmono-regular,consolas,&quot;liberation mono&quot;,menlo,=
courier,monospace;font-size:12px;white-space:pre">(<span style=3D"color:rgb=
(215,58,73)">defun</span> <span style=3D"color:rgb(111,66,193)">safe-check-=
frames-connection</span> ()</td></tr><tr><td style=3D"padding:0px 10px;colo=
r:rgba(27,31,35,0.3);font-family:&#39;sfmono-regular&#39;,&#39;consolas&#39=
;,&#39;liberation mono&#39;,&#39;menlo&#39;,&#39;courier&#39;,monospace;fon=
t-size:12px;line-height:20px;min-width:50px;text-align:right;vertical-align=
:top;white-space:nowrap;width:50px"></td><td style=3D"padding:0px 10px;line=
-height:20px;vertical-align:top;font-family:sfmono-regular,consolas,&quot;l=
iberation mono&quot;,menlo,courier,monospace;font-size:12px;white-space:pre=
">  (<span style=3D"color:rgb(215,58,73)">when</span> (<span style=3D"color=
:rgb(0,92,197)">functionp</span> <span style=3D"color:rgb(0,92,197)">&#39;x=
-check-frame</span>)</td></tr><tr><td style=3D"padding:0px 10px;color:rgba(=
27,31,35,0.3);font-family:&#39;sfmono-regular&#39;,&#39;consolas&#39;,&#39;=
liberation mono&#39;,&#39;menlo&#39;,&#39;courier&#39;,monospace;font-size:=
12px;line-height:20px;min-width:50px;text-align:right;vertical-align:top;wh=
ite-space:nowrap;width:50px"></td><td style=3D"padding:0px 10px;line-height=
:20px;vertical-align:top;font-family:sfmono-regular,consolas,&quot;liberati=
on mono&quot;,menlo,courier,monospace;font-size:12px;white-space:pre">    (=
<span style=3D"color:rgb(215,58,73)">dolist</span> (frame (<span style=3D"c=
olor:rgb(0,92,197)">frame-list</span>))</td></tr><tr><td style=3D"padding:0=
px 10px;color:rgba(27,31,35,0.3);font-family:&#39;sfmono-regular&#39;,&#39;=
consolas&#39;,&#39;liberation mono&#39;,&#39;menlo&#39;,&#39;courier&#39;,m=
onospace;font-size:12px;line-height:20px;min-width:50px;text-align:right;ve=
rtical-align:top;white-space:nowrap;width:50px"></td><td style=3D"padding:0=
px 10px;line-height:20px;vertical-align:top;font-family:sfmono-regular,cons=
olas,&quot;liberation mono&quot;,menlo,courier,monospace;font-size:12px;whi=
te-space:pre">      (<span style=3D"color:rgb(215,58,73)">when</span> (<spa=
n style=3D"color:rgb(215,58,73)">eq</span> (<span style=3D"color:rgb(0,92,1=
97)">framep</span> frame) <span style=3D"color:rgb(0,92,197)">&#39;x</span>=
)</td></tr><tr><td style=3D"padding:0px 10px;color:rgba(27,31,35,0.3);font-=
family:&#39;sfmono-regular&#39;,&#39;consolas&#39;,&#39;liberation mono&#39=
;,&#39;menlo&#39;,&#39;courier&#39;,monospace;font-size:12px;line-height:20=
px;min-width:50px;text-align:right;vertical-align:top;white-space:nowrap;wi=
dth:50px"></td><td style=3D"padding:0px 10px;line-height:20px;vertical-alig=
n:top;font-family:sfmono-regular,consolas,&quot;liberation mono&quot;,menlo=
,courier,monospace;font-size:12px;white-space:pre">        (safe-x-check-fr=
ame frame)))))</td></tr><tr><td style=3D"padding:0px 10px;color:rgba(27,31,=
35,0.3);font-family:&#39;sfmono-regular&#39;,&#39;consolas&#39;,&#39;libera=
tion mono&#39;,&#39;menlo&#39;,&#39;courier&#39;,monospace;font-size:12px;l=
ine-height:20px;min-width:50px;text-align:right;vertical-align:top;white-sp=
ace:nowrap;width:50px"></td></tr></tbody></table><br></div></div>

--000000000000ecd163058c908ae3--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36362; Package emacs. Full text available.

Message received at 36362 <at> debbugs.gnu.org:


Received: (at 36362) by debbugs.gnu.org; 28 Jun 2019 00:34:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 27 20:34:54 2019
Received: from localhost ([127.0.0.1]:40086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgeqs-0000FD-2S
	for submit <at> debbugs.gnu.org; Thu, 27 Jun 2019 20:34:54 -0400
Received: from mail-io1-f45.google.com ([209.85.166.45]:37881)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hgeqq-0000Ez-8y
 for 36362 <at> debbugs.gnu.org; Thu, 27 Jun 2019 20:34:52 -0400
Received: by mail-io1-f45.google.com with SMTP id e5so8837881iok.4
 for <36362 <at> debbugs.gnu.org>; Thu, 27 Jun 2019 17:34:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version;
 bh=2Rg2VJ51yNAByk/vc0x7DuX8s4EjNbZGwIhenxRG0d4=;
 b=tPEXIxoMiVb7WP7qUNC0ZipOyV+84OopEAwMkOC8Nz3tweWl6JOCLh8u70l62nyD62
 +uTKQdmFqDJCz3bvskVEiK+LYAS+exlsxS70GtH43tngTCoSijX3hTM1qAYSe80tS3j+
 XhqRyJRgeMrfONnOVybeha632pFHLvnXbM/VZPppUfX7xTNfgzzmS/YVdjstb0v0VLaj
 Y8DP/Yu2D4Mbabf/IYd35/WfBtQs+0pkrgxbnaRE8GO+ul7/QqYGyArtvFIhmc8BIKq7
 hMj31lFGh+a+VEFqMkdzxQgrgoXRLHJbonB/EVuvHm+aapzXqZKXY2BX6LOoi3rXKzRR
 VKwQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version;
 bh=2Rg2VJ51yNAByk/vc0x7DuX8s4EjNbZGwIhenxRG0d4=;
 b=BF4jK3PJJOhnHbKGbnuD0irttPMgX2pmQK9/SuvaujRb0q2O/+sRK217a+4k8vI2C6
 Hg9K3Jgem2y8L3XzGvFSRb47XFa8gez9P8Z64bx7F4bAPxOEbfT3U5sfBRcjUhjJoh8A
 j7ZEiL1YcbjCDJToXmRDx42490UAC0K5BNwEo/k7889PfjpjmeALiyQ4H7tM8pXVLnZX
 LTzXVjcVZPFUSa68uKfgo8UCi2pm7tZALZlDupdZ+/iCye/S8iJGBuXp5sZwrF19eeSd
 JPXDWLjG3ivmtI5SlLWS8GYeSA2tKxyxhdal/wA6EXOrbUGCTd8ysCsRaMXbP5XVprOF
 3F4Q==
X-Gm-Message-State: APjAAAVp81BTdkwOe15FCCyCpFGMvpr1gVCw6R2CYQfLWNojBI1cCd9H
 MSfP8575CvnEszzktnJ1wVQ=
X-Google-Smtp-Source: APXvYqyltX2Fjesk/IduY4GyMFsTLAMQyEYjFGTLA5girkp9nD/IZ/o+6+wznlBsuBUuN0nVcRfeuA==
X-Received: by 2002:a6b:ed01:: with SMTP id n1mr1918830iog.255.1561682086584; 
 Thu, 27 Jun 2019 17:34:46 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 k2sm551568iom.50.2019.06.27.17.34.45
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 27 Jun 2019 17:34:45 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: 36362 <at> debbugs.gnu.org
Subject: Re: bug#36362: New feature-x-check-server
Date: Thu, 27 Jun 2019 20:34:45 -0400
Message-ID: <8736ju7dju.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36362
Cc: "otadmor ." <otadmor@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

[forwarding to list, please use "Reply All" to keep 36362 <at> debbugs.gnu.org on Cc]


--=-=-=
Content-Type: message/rfc822
Content-Disposition: inline

References: <CAJd1wG+gtF_Rjp=EXU+77D41j-OD3cpN1uApp98T+Dp3m7pRUg@HIDDEN> <85v9wr5ajl.fsf@HIDDEN>
In-Reply-To: <85v9wr5ajl.fsf@HIDDEN>
From: "otadmor ." <otadmor@HIDDEN>
Date: Thu, 27 Jun 2019 22:12:56 +0300
Message-ID: <CAJd1wGL_2uQJtRcRrbD8WJhom_WHf-sVX0bsgQ_FUrk4zRSwRw@HIDDEN>
Subject: Re: bug#36362: New feature-x-check-server
To: Noam Postavsky <npostavs@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative; boundary="====-=-="

--====-=-=
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline

I have some non consistency of the terms client and server. Some refer to
the emacs client/daemon, some refer to the xserver, emacs as x11 client.

Hi,
I have this scenerio:
1. Laptop with Windows 10 host and Ubuntu 1804 vm.putty and xming (latest
versions) are installed on host and emacs 26.2 on the vm.
2. Connect with putty via sshx to the vm and run emacsclient -c. Doest
really matter how emacs deamon is started (with the ex, via the ssh as
emacs -daemon, directly in the vm, as sysctl -user start emacs).
3. Close the laptop lid so it goes to sleep.
4. Open the lid and reconnect with sshx and emacs client -c.
5. The second emacs client causes emacs daemon to stuck on xcb select (they
have no timeout). The emacs client is still running correctly before the
second emacs client.

The propose is to have this connectivity check native function + timer
which executes it on all existing frames every few seconds.

This native function closes the fd of the xcb and causes the select to
return EINTR. xcb have internal infinate loop Incase of EINTR, so closing
the fd is necessary to get out of this infinite loop. Closing the fd also
causes libx11 to realize the connection was closed and call the error
handler of emacs for x11 failures for a clean termination of the resources
in emacs.

This native function is consist of a a native timer with a signal handler
to handle when this timer expires. I have set the native timer for 0.5
seconds and it is configurable using an elisp variable. When the server was
not disconnected this timer don't expires, doesnt close the fd and returned
immediately without waiting 0.5 seconds. When the client crashed because of
sleep, the native code will have to wait before realizing it. I have
selected GetGeomerty arbitrarly. This is usually used by emacs and I don't
believe it has an extra side effect. The xcb knows the sequence numbers of
the requests and should not be confused with other GetGeomerty/other
non-GetGeomerty requests.

Shalom.

On Thu, Jun 27, 2019, 18:10 Noam Postavsky <npostavs@HIDDEN> wrote:

> "otadmor ." <otadmor@HIDDEN> writes:
>
> > A new native method to check connectivity of xserver.
>
> Can you explain a bit when/why this is useful?  As it stands this patch
> is rather "apropos of nothing"...
>
>

--====-=-=--

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36362; Package emacs. Full text available.

Message received at 36362 <at> debbugs.gnu.org:


Received: (at 36362) by debbugs.gnu.org; 27 Jun 2019 15:10:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 27 11:10:35 2019
Received: from localhost ([127.0.0.1]:39236 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgW2k-00083k-UY
	for submit <at> debbugs.gnu.org; Thu, 27 Jun 2019 11:10:35 -0400
Received: from mail-io1-f44.google.com ([209.85.166.44]:37236)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hgW2j-00083X-AS
 for 36362 <at> debbugs.gnu.org; Thu, 27 Jun 2019 11:10:33 -0400
Received: by mail-io1-f44.google.com with SMTP id e5so5511519iok.4
 for <36362 <at> debbugs.gnu.org>; Thu, 27 Jun 2019 08:10:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=jtL1rw975eWirjBr1U53+prOUiSo92QZhfV0rLop3YI=;
 b=erRN8Ub7bGNmH/IiPX6SdVJnXouUoJmvH8jXvwKn0CxJkXSXO/nKXo4roDsc9v/nP4
 IFH+ez30e3OUwfCk9ZDjPoQ9Qdw31T/hmjvDokfX4+ua22nXuccA4IDEUdqAw+4dclg1
 Qfiw9TYwyas0lq3eLLzLsbEg+C1UrEqiOVNRNepcbEzm+QUS5FDBhIosFuOXopHXhK0G
 8Bkb2Wg2LsLi8C7f+HQ4hjGKVfwOScsZE6fQydQM4T0eySO1pnh63JjH0PZSBHAV2kI7
 5SQLxmbWap7qB8SagH4nxT+W4akHWYA5mp7t06EBNq92IM69Km8YkolH3HrK0WcvnYki
 V77w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=jtL1rw975eWirjBr1U53+prOUiSo92QZhfV0rLop3YI=;
 b=X5Jwi1o3FOHZuoLDkmfqmVNskGu0d3Y35X0apnVh9nJC5yGrjD5G8Zvlkk+Jjfbwuz
 Fg9rWS+j9c5F4YQ5IqwG5vPz2nXsR/1roUkY2iPrBKyuA9cqjxgyvqIFSV4QcFUIjeI9
 jpJ4ufd366ZdZpa+EBVL9QiQWKPwzzB6oTYZMFzFpmOqemt6Y7gCmL4LulN6vsGOeEHj
 Qxnndw74pcPFTOHdp8QyYv/N1zhT+rHSFN0lRHXeXComvBG7u3XXb4b4vv/fJkvwhaTI
 DP2Z18AAo/VkoLrQ+hPshTffT2OeX3Lc5l9G0OCVedlIvHp8n4ycqeoA8b91h9Wfz14X
 DWbg==
X-Gm-Message-State: APjAAAXB1CczgekHES61BQVPoWXnQedjU4AdJ6hCoWXqNWStlGGv7IQy
 YQTG/HAlpM6o59W+gYvyzMoVZKGk
X-Google-Smtp-Source: APXvYqypPUZP7vnFh5e3NpXzT4ZLXPN6MSjlRfyb5rAAxdyc8ornvbdT677T4uqm9OO8MZdUJgjBhA==
X-Received: by 2002:a02:3c07:: with SMTP id m7mr5607262jaa.64.1561648223260;
 Thu, 27 Jun 2019 08:10:23 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.51.196])
 by smtp.gmail.com with ESMTPSA id v26sm1820076iom.88.2019.06.27.08.10.22
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 27 Jun 2019 08:10:22 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: "otadmor ." <otadmor@HIDDEN>
Subject: Re: bug#36362: New feature-x-check-server
References: <CAJd1wG+gtF_Rjp=EXU+77D41j-OD3cpN1uApp98T+Dp3m7pRUg@HIDDEN>
Date: Thu, 27 Jun 2019 11:10:22 -0400
In-Reply-To: <CAJd1wG+gtF_Rjp=EXU+77D41j-OD3cpN1uApp98T+Dp3m7pRUg@HIDDEN>
 (otadmor .'s message of "Mon, 24 Jun 2019 20:05:39 +0300")
Message-ID: <85v9wr5ajl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.92 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36362
Cc: 36362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"otadmor ." <otadmor@HIDDEN> writes:

> A new native method to check connectivity of xserver.

Can you explain a bit when/why this is useful?  As it stands this patch
is rather "apropos of nothing"...





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36362; Package emacs. Full text available.

Message received at 36362 <at> debbugs.gnu.org:


Received: (at 36362) by debbugs.gnu.org; 27 Jun 2019 14:34:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 27 10:34:29 2019
Received: from localhost ([127.0.0.1]:39188 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgVTp-0002h9-5U
	for submit <at> debbugs.gnu.org; Thu, 27 Jun 2019 10:34:29 -0400
Received: from mail-lf1-f46.google.com ([209.85.167.46]:39507)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <otadmor@HIDDEN>) id 1hgRA0-0005Wk-GB
 for 36362 <at> debbugs.gnu.org; Thu, 27 Jun 2019 05:57:45 -0400
Received: by mail-lf1-f46.google.com with SMTP id p24so1145995lfo.6
 for <36362 <at> debbugs.gnu.org>; Thu, 27 Jun 2019 02:57:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=4MEjNl3584qa7vwyYQod6+qCLFRPN5oHEMTXqS9mTdA=;
 b=X75NppCnUZ8Vyy7I0+phftIxe/RDGjwFD3O8m/Gl8bDDa+aFFJThpuiBJDkNdEEx3I
 JfUFDEdUoRuYfpHMRjXmaJkwcmGlo5n3oaXd4ArlnkSq2+fwnL7dquoX8vbCw3CsxFVo
 huDuQislyq9nMclK8tQIS1dMPv9P37TmEGLmrGjng8lRF33Lkrme5GpkBvn6AXv6POVl
 OkeSt8/WsWwcRDDTtoBHG+VuGKcMcnOi27ac12PjB76bVGf60zt070E5Pr+cfXI/zumt
 foCNX8izUuKOe30gUGL67vsnYb3zU+wDouAL4kpVg6MHOFJuyJ7Wg/0PitK8QAaPYif4
 ie3A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=4MEjNl3584qa7vwyYQod6+qCLFRPN5oHEMTXqS9mTdA=;
 b=CqElQ3QKHlYsCC2BNFlX9R+JZZvP4bqnuA8rknMcFLvderXMVrHK+WHr9I4AQVI78p
 MKGdlKDqyiA3KA1/tJaTZ7LQG1JLJgbThNztcC11DuThEu8cziyz5QRznj8swl7BSu5z
 QXmNtr4kPchPvkEJ3T78853z/y30ikABwuSjAF61zeQUrKGWeVA9Twaf6Q+xzRBzHEIE
 7JJF/jc3C77seJPllYmSCfWWSS4SyMRMIlBpFzja1zzczzlIMU8G4Om5k2myjR+ckrik
 5n6gfpqTE5wHEQoTabUsVAgd7XBQaLf4+i6NtEOy+YhH7ORKIeoBIrcaOK4141bT8/gq
 mUng==
X-Gm-Message-State: APjAAAW94ouSWMcZiw96PPcPxYLEH/j04SqGrg83n5gq6LXqJXDzNdd6
 o1cISxSc90rJ3k3+d2La52Ciy3fNjaBxXbYT33NDaA==
X-Google-Smtp-Source: APXvYqzsCyOJWSNjhgQjyBb6hgQzq1++2NUpIKUivR91hrM2tFhx8+wvCMucX/NBQTGWiBmJDsMIJ2I9z5eEKlFzMww=
X-Received: by 2002:a19:5515:: with SMTP id n21mr1577111lfe.26.1561629457743; 
 Thu, 27 Jun 2019 02:57:37 -0700 (PDT)
MIME-Version: 1.0
From: "otadmor ." <otadmor@HIDDEN>
Date: Thu, 27 Jun 2019 12:57:25 +0300
Message-ID: <CAJd1wG+NwWJjEDKOoZzfF52HfXCCT0iOcQBrON5uJ5sOk2G9ww@HIDDEN>
Subject: Patch for the current 26.2 version
To: 36362 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="0000000000001985ce058c4b3102"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36362
X-Mailman-Approved-At: Thu, 27 Jun 2019 10:34:27 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000001985ce058c4b3102
Content-Type: text/plain; charset="UTF-8"

Patch for version 26.2 can be found here:
https://raw.githubusercontent.com/otadmor/emacs-conf/master/xterm.c.patch
Patch for the current master branch in git on the original message.

--0000000000001985ce058c4b3102
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">Patch for version 26.2 can be found here:<div dir=3D"auto=
"><a href=3D"https://raw.githubusercontent.com/otadmor/emacs-conf/master/xt=
erm.c.patch">https://raw.githubusercontent.com/otadmor/emacs-conf/master/xt=
erm.c.patch</a><br></div><div dir=3D"auto">Patch for the current master bra=
nch in git on the original message.</div></div>

--0000000000001985ce058c4b3102--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36362; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Jun 2019 17:07:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 24 13:07:51 2019
Received: from localhost ([127.0.0.1]:57855 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfSRa-0003bO-RW
	for submit <at> debbugs.gnu.org; Mon, 24 Jun 2019 13:07:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:38453)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <otadmor@HIDDEN>) id 1hfSPw-0003Ya-12
 for submit <at> debbugs.gnu.org; Mon, 24 Jun 2019 13:06:09 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41116)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <otadmor@HIDDEN>) id 1hfSPs-0004By-CN
 for bug-gnu-emacs@HIDDEN; Mon, 24 Jun 2019 13:06:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <otadmor@HIDDEN>) id 1hfSPo-0002eS-H9
 for bug-gnu-emacs@HIDDEN; Mon, 24 Jun 2019 13:06:01 -0400
Received: from mail-lj1-x22d.google.com ([2a00:1450:4864:20::22d]:44787)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <otadmor@HIDDEN>) id 1hfSPj-0002Iw-EG
 for bug-gnu-emacs@HIDDEN; Mon, 24 Jun 2019 13:05:57 -0400
Received: by mail-lj1-x22d.google.com with SMTP id k18so13321418ljc.11
 for <bug-gnu-emacs@HIDDEN>; Mon, 24 Jun 2019 10:05:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=j3oleVLWeDfgG39YIhte4E58Jm8VdTTBV6pF+QxiQtU=;
 b=dB65rIiupUDKH9JTv6hNLj2iEWT5hpu4BOtB5HEHCa8WljBK0FN6a2qaFJwhAUgj/S
 UFXNNVxU382gK6Jg2gddZvR8OOzKaaxUOcd5UlZUoXP8Sbtwlj3KS5Ah7XKv32rmB/Jg
 JemLlYlTt/0TfAIhSvky3lTI4eqH1jBCAFjVoTYeHlw9/vSbkk3TyeGzFL91mil7AHWJ
 9EXCQzltt4ymXg/bk/CF4ywKlrQbm4UQQU22eNdlR9sftqwXToqth4ilD3wFu4wkZvW5
 V88IOmDA4q+wKweIP9tJ1PVReg2BdQsHj6kL7r1UtQjUwBggaB9uo2znwFi6fLgWqd/9
 j5jw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=j3oleVLWeDfgG39YIhte4E58Jm8VdTTBV6pF+QxiQtU=;
 b=fznTUdvrTwhbZuBlU5T1D2FxW/aeDlP4KqFsdSOCqu8IEpIA5jEBjHnipV57mZN4LZ
 u2vzDe1jBR5TPJPYngQQuDV64L50kJ1F2EWIP22EgZuJn5XA49KHP8DYxNj0NHQvNFN4
 Q7qzzbWHTfYwdVUtgpY2aoEU6415JlZdyfxtelQEcZnMwnvshGJlD1asQW5vvslYcf6q
 iuzjTjUhweCPb/FQK+WMGuvPcTnLv1P+F42EOivj6exT8U9mhknj/hHCjJesLoweTX+l
 duj+LPK1CxWKQzkCSyVqHt1GLvRgVgoyhzYqNlomkBsYfO0BZdf7w+kip1/iBbMRWlad
 DP6Q==
X-Gm-Message-State: APjAAAWl+Cv6LWxlN5ljDkKNlmAUSNnpUWdi7+Id63CEj4Y8ixB/cimI
 reFREgpG9o+A8iJItE9ltyaYI6XFfSdWtXDiM7s9dUIK
X-Google-Smtp-Source: APXvYqxSlnK3K7kia4+ibTe3cC0rF/GOScNQMGQ0Pg5rWbdGZm50Od5AIMqLkPozMj6halXfsX+2xxyP1Qfxy1KBCdU=
X-Received: by 2002:a2e:12c8:: with SMTP id 69mr70497477ljs.189.1561395952029; 
 Mon, 24 Jun 2019 10:05:52 -0700 (PDT)
MIME-Version: 1.0
From: "otadmor ." <otadmor@HIDDEN>
Date: Mon, 24 Jun 2019 20:05:39 +0300
Message-ID: <CAJd1wG+gtF_Rjp=EXU+77D41j-OD3cpN1uApp98T+Dp3m7pRUg@HIDDEN>
Subject: New feature-x-check-server
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/mixed; boundary="0000000000001339a5058c14d33a"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::22d
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 24 Jun 2019 13:07:49 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--0000000000001339a5058c14d33a
Content-Type: multipart/alternative; boundary="0000000000001339a2058c14d338"

--0000000000001339a2058c14d338
Content-Type: text/plain; charset="UTF-8"

A new native method to check connectivity of xserver.

-- 
Gretz,
Ofir Tadmor

ICQ: 77685691
Mail: otadmor@HIDDEN

--0000000000001339a2058c14d338
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">A new native method to check connectivity of xserver.<br c=
lear=3D"all"><div><br></div>-- <br><div dir=3D"ltr" class=3D"gmail_signatur=
e" data-smartmail=3D"gmail_signature">Gretz,<br>Ofir Tadmor<br><br>ICQ: 776=
85691<br>Mail: <a href=3D"mailto:otadmor@HIDDEN" target=3D"_blank">otadm=
or@HIDDEN</a></div></div>

--0000000000001339a2058c14d338--

--0000000000001339a5058c14d33a
Content-Type: application/octet-stream; 
	name="0001-Add-x-check-frame-lisp-method-to-check-frame-x-serve.patch"
Content-Disposition: attachment; 
	filename="0001-Add-x-check-frame-lisp-method-to-check-frame-x-serve.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jxamtovm0>
X-Attachment-Id: f_jxamtovm0
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--0000000000001339a5058c14d33a--




Acknowledgement sent to "otadmor ." <otadmor@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36362; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.